Dividend

Retrieve the latest dividend snapshot for a symbol, including yield and next payment fields.

Use this endpoint when you need the most recent dividend snapshot stored for a symbol.

Endpoint

GET /stocks/{symbol}/dividend
Test request
/stocks/AAPL/dividend
Send a request to view the response.

Authentication

Required.

Authorization: Bearer <your_api_key>

Path Parameters

  • symbol: ticker or symbol to resolve

Response

Returns two top-level fields:

  • symbol
  • dividend

The dividend object may include fields such as:

  • dps_ttm
  • dps_forward_12m
  • dps_next_payment
  • dividend_yield_ttm
  • dividend_yield_forward
  • dividend_yield_history_high
  • dividend_yield_history_low
  • ex_dividend_date_next
  • payment_date_next
  • payment_amount_next
  • dividend_frequency

Example Request

curl -H "Authorization: Bearer $your_api_key" \
  "https://api.apifinance.ai/stocks/AAPL/dividend"